using System.Linq;
using EDPlayerJournal;
using EDPlayerJournal.BGS;

namespace EliteBGS.LogGenerator;

public class MicroResourcesFormat : LogFormatter {
    public string GenerateLog(Objective objective) {
        var total = objective.EnabledOfType<SellMicroResources>();
        long sum = total.Sum(x => x.TotalSum);

        if (total == null || total.Count() <= 0 || sum <= 0) {
            return "";
        }

        return string.Format("Sold {0} worth of Micro Resources\n",
            Credits.FormatCredits(sum));
    }

    public string GenerateSummary(Objective objective) {
        return "";
    }
}
